org.apache.ignite.internal.visor.cache

## Class VisorCacheNearConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheNearConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheNearConfiguration
    extends Object
    implements Serializable

Data transfer object for near cache configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheNearConfiguration()`

### Method Summary

Methods
`static VisorCacheNearConfiguration` `from(CacheConfiguration ccfg)`
`boolean` `nearEnabled()`
`Integer` `nearEvictMaxSize()`
`String` `nearEvictPolicy()`
`int` `nearStartSize()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheNearConfiguration

    public VisorCacheNearConfiguration()

### Method Detail

#### from

    public static VisorCacheNearConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for near cache configuration properties.

#### nearEnabled

    public boolean nearEnabled()

Returns:
  `true` if near cache enabled.

#### nearStartSize

    public int nearStartSize()

Returns:
  Near cache start size.

#### nearEvictPolicy

    @Nullable
    public String nearEvictPolicy()

Returns:
  Near cache eviction policy.

#### nearEvictMaxSize

    @Nullable
    public Integer nearEvictMaxSize()

Returns:
  Near cache eviction policy max size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015